=== debian/changelog ===
digikam (4:4.14.0-4ubuntu6) yakkety; urgency=medium

  * digikam-data breaks/replaces libkface-data << 4:15.12~ 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 11 Aug 2016 22:04:17 +0000

digikam (4:4.14.0-4ubuntu5) yakkety; urgency=medium

  * Rebuild against libopencv-highgui2.4-deb0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Jun 2016 21:42:57 +0200

digikam (4:4.14.0-4ubuntu4) yakkety; urgency=medium

  * Drop Ubuntu changes, merge with Debian; remaining changes:
    - Remove reference to build-dep on libusb2-dev which seems to confuse
      soyuz
    - mysql-server-core does not exist; it is virtual-mysql-server-core.
      So fix that so the Build-Depends alternative will work, and while
      we're there also switch from 5.6 to 5.7 since 5.6 will cease to
      exist in Xenial soon.
    - Don't build with openGL on armhf as it's not available there.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 14:09:33 +0200

digikam (4:4.14.0-4) unstable; urgency=medium

  * Switch build-dep from libusb-dev to libusb-1.0-0-dev.
    Closes: #810406.

  * Update mysql dependency to use virtual-mysql-server-core.  Closes:
    #815746.

  [ Pino Toscano ]
  * Backport upstream commit 0f159981176faa6da701f112bfe557b79804d468 to fix
    build with lensfun >= 0.3.2; patch
    upstream_fix-compilation-with-Lensfun-0.3.2.patch.
  * Drop menu files and their pixmaps, since digikam and showfoto already
    provide .desktop files.

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Mar 2016 01:25:54 -0500

digikam (4:4.14.0-3) unstable; urgency=medium

  * Fix override_dh_install rule so it functions for binary-indep.
  * patches/doc-linkage.patch: New. Fix links in user manual.  Closes: #749684.

 -- Steve M. Robbins <smr@debian.org>  Mon, 04 Jan 2016 22:30:41 -0600

digikam (4:4.14.0-2) unstable; urgency=medium

  * Restore kface support:
    - Add libkface 15.08.3 sources as digikam_4.14.0.orig-libkface15083.tar.xz
    - Create symlink extra/libkface; build using DIGIKAMSC_COMPILE_LIBKFACE=ON

  * patches/mysql-global-conf.patch: New.  Change mysql option table_cache
    to table_open_cache.  Closes: #808729.

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2016 17:47:55 -0600

digikam (4:4.14.0-1) unstable; urgency=medium

  * New upstream release 4.14.0.  (Closes: #777110, #795956)
    - fixes build/install failures (Closes: #807564, #802966, #799546, #800362)
    - currently missing support for features whose library has been split
      out of previous digikam source releases; e.g. libkface, libkgeomap,
      and some others.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Steve M. Robbins <smr@debian.org>  Sun, 20 Dec 2015 11:35:18 -0600

digikam (4:4.12.0-1~) UNRELEASED; urgency=medium

  [ Mark Purcell ]
  * New upstream release
    - Fixes "new upstream release 4.7.0" (Closes: #777110)
  * Ack NMU - Thanks jmv

  [ Maximiliano Curia ]
  * New upstream release (4.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 05 Aug 2015 15:48:48 +0200

digikam (4:4.12.0-0ubuntu9) yakkety; urgency=medium

  * No-change rebuild for lensfun soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 12:57:42 +0000

digikam (4:4.12.0-0ubuntu8) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:02:31 +0000
